var shares=null;
// H5 plus事件处理
function readShareList(){
    //console.log('readShareList');
	plus.share.getServices(function(s){
	//console.log('getServices');
		shares={};
		for(var i in s){
			var t=s[i];
			shares[t.id]=t;
			console.log(t);
		}

	}, function(e){
		//console.log(e.message);
		mui.alert('获取分享服务列表失败：'+e.message);
	});
}
if(window.plus){
	readShareList();
}else{
	document.addEventListener('plusready', readShareList, false);
}

/**
   * 发送分享消息
   * @param {JSON} msg
   * @param {plus.share.ShareService} s
   */
function shareMessage(msg, s){
	//mui.alert('shareMessage2'+JSON.stringify(s));
	s.send(msg, function(){
		//mui.toast('分享到"'+s.description+'"成功！');
	}, function(e){
		mui.alert('分享到"'+s.description+'"失败: '+JSON.stringify(e));
	});
}

//// 打开分享
//function SHARE_SHOW(){
//	//mui.alert('shareShow2');
//	var shareBts=[];
//	// 更新分享列表
//	var ss=shares['weixin'];
//	if(navigator.userAgent.indexOf('qihoo')<0){  //在360流应用中微信不支持分享图片
//		ss&&ss.nativeClient&&(shareBts.push({title:'微信朋友圈',s:ss,x:'WXSceneTimeline'}),
//		shareBts.push({title:'微信好友',s:ss,x:'WXSceneSession'}));
//	}
//	ss=shares['sinaweibo'];
//	ss&&shareBts.push({title:'新浪微博',s:ss,x:''});
//	ss=shares['qq'];
//	ss&&ss.nativeClient&&shareBts.push({title:'QQ',s:ss,x:''});
//	// 弹出分享列表
//	shareBts.length>0?plus.nativeUI.actionSheet({title:'分享',cancel:'取消',buttons:shareBts}, function(e){
//	//	mui.alert('shareShow'+JSON.stringify(e));
//		(e.index>0)&&shareAction(shareBts[e.index-1]);
//	}):plus.nativeUI.alert('当前环境无法支持分享操作!');
//}

function SHARE_SHOW(){
	var bottomFx=document.getElementById('bottomFx');
	bottomFx.style.display='';
}

function GO_SHARE(id) {
	var bottomFx=document.getElementById('bottomFx');
	bottomFx.style.display='none';
	var sb={};
	
	if(id=='wx') {
		var ss=shares['weixin'];
		sb={title:'微信好友',s:ss,x:'WXSceneSession'};
	}
	if(id=='py') {
		var ss=shares['weixin'];
		sb={title:'微信朋友圈',s:ss,x:'WXSceneTimeline'};
	}
	if(id=='xl') {
		var ss=shares['sinaweibo'];
		sb={title:'新浪微博',s:ss,x:''};
	}
	if(id=='qq') {
		var ss=shares['qq'];
		sb={title:'QQ',s:ss,x:''};
	}
	shareAction(sb);
}

/**
   * 分享操作
   * @param {JSON} sb 分享操作对象s.s为分享通道对象(plus.share.ShareService)
   * @param {Boolean} bh 是否分享链接
   */
function shareAction(sb) {
	//mui.alert('shareAction1'+JSON.stringify(sb));
	if(!sb||!sb.s){
		mui.alert('无效的分享服务');
		return;
	}
	// 发送分享
	if(sb.s.authenticated){
		//mui.alert('---已授权---');
		shareMessage( sb);
	}else{
		sb.s.authorize(function(){
			shareMessage(sb);
		}, function(e){
			mui.alert('认证授权失败：'+e.code+' - '+e.message);
		});
	}
}

function SAVE_GOOD(objType,objId) {
				var user=GET_LOGIN_USER();
				var url='';
				var param={'token':user.token};
				if(objType=='news') {
					url=APP_URL_NEWS_GOOD;
				} else if(objType=='bbs_good') {
					url=APP_URL_BBSTOPIC_GOOD;
					param.type=1;
				} else if(objType=='bbs_bad') {
					url=APP_URL_BBSTOPIC_GOOD;
					param.type=2;
				} else {
					url=APP_URL_COMMENT_GOOD;
				}
				url=url+'/'+objId;
				if(user && user.token && user.token.length>0 ) {
						mui.ajax(url,{ data:param,
						dataType:'json',//服务器返回json格式数据
						type:'post',//HTTP请求类型
						timeout:10000,//超时时间设置为10秒；
						headers:{'Content-Type':'application/x-www-form-urlencoded; charset=utf-8'},	              
						success:function(result){
							//服务器返回响应，根据响应结果，分析是否登录成功；
							if(result.success) {
								mui.toast('提交成功');
								if(objType=='news'){
									document.getElementById('goodNum').innerHTML=vm.model.good_num?vm.model.good_num+1:1;
								}
							} else {
								if(result.msg ) {
									mui.toast(result.msg,2000);
								}
								if(result.msg && result.msg.indexOf('登录')!=-1) {
									GO_LOGIN();
								}
							}
						},
						error:function(xhr,type,errorThrown){
							//异常处理；
							console.log(type);
							mui.toast(errorThrown);
						}
					});
				} else {
					mui.toast("请登录",2000);
					GO_LOGIN();
				}
}

function SAVE_GOOD2(objType,item) {
				if(item.good || item.bad) return;
				
				var objId=item.id;
				var user=GET_LOGIN_USER();
				var url='';
				var param={'token':user.token};
				if(objType=='news') {
					url=APP_URL_NEWS_GOOD;
				} else if(objType=='bbs_good') {
					url=APP_URL_BBSTOPIC_GOOD;
					param.type=1;
				} else if(objType=='bbs_bad') {
					url=APP_URL_BBSTOPIC_GOOD;
					param.type=2;
				} else {
					url=APP_URL_COMMENT_GOOD;
				}
				url=url+'/'+objId;
				if(user && user.token && user.token.length>0 ) {
						mui.ajax(url,{ data:param,
						dataType:'json',//服务器返回json格式数据
						type:'post',//HTTP请求类型
						timeout:10000,//超时时间设置为10秒；
						headers:{'Content-Type':'application/x-www-form-urlencoded; charset=utf-8'},	              
						success:function(result){
							//服务器返回响应，根据响应结果，分析是否登录成功；
							if(result.success) {
								//mui.toast('提交成功');
								if(param.type==1) {
									item.good=true;
									item.good_num=item.good_num+1;
								}
								if(param.type==2) {
									item.bad=true;
									item.bad_num=item.bad_num+1;
								}
							} else {
								if(result.msg ) {
									mui.toast(result.msg,2000);
								}
								if(result.msg && result.msg.indexOf('登录')!=-1) {
									GO_LOGIN();
								}
							}
						},
						error:function(xhr,type,errorThrown){
							//异常处理；
							console.log(type);
							mui.toast(errorThrown);
						}
					});
				} else {
					mui.toast("请登录",2000);
					GO_LOGIN();
				}
}


 

mui.ready(function(){
 	document.getElementById("bottomFxClose").addEventListener("tap",function(e){
          var bottomFx=document.getElementById('bottomFx');
		  bottomFx.style.display='none';
 	},false);	
});